#ifdef LOCAL
#  define _GLIBCXX_DEBUG
#  define _GLIBCXX_DEBUG_PEDANTIC
#endif

#include "bits/stdc++.h"
#define ff first
#define ss second
#define szof(_x) ((int) (_x).size())
#define TASK_NAME ""

using namespace std;
typedef long long ll;
typedef pair<int, int> pii;
const int INF = 1e9 + 7;
const ll INFL = 1e18 + 123;
const double PI = atan2(0, -1);
mt19937 tw(960172);
ll rnd(ll x, ll y) { static uniform_int_distribution<ll> d; return d(tw) % (y - x + 1) + x; }


void solve() {
	int n, m;
	cin >> n >> m;
	vector<map<int, vector<int>>> on_pos(m);
	for (int i = 0; i < n; ++i) {
		for (int j = 0; j < m; ++j) {
			int num;
			cin >> num;
			on_pos[j][num].push_back(i);
		}
	}

	vector<vector<pii>> graph(n);

	for (int i = 0; i < m; ++i) {
		for (auto& p : on_pos[i]) {
			if (szof(p.ss) > 2) {
				// cout << "No\n";
				// return;
			}
			if (szof(p.ss) == 2) {
				graph[p.ss[0]].push_back({p.ss[1], 1});
				graph[p.ss[1]].push_back({p.ss[0], 1});
			}
			if (i <= m - 1 - i && on_pos[m - 1 - i].count(p.ff)) {
				if (szof(p.ss) + szof(on_pos[m - 1 - i][p.ff]) > 2) {
					cout << "No\n";
					return;
				}
				if (szof(p.ss) + szof(on_pos[m - 1 - i][p.ff]) == 2) {
					graph[p.ss[0]].push_back({on_pos[m - 1 - i][p.ff][0], 0});
					graph[on_pos[m - 1 - i][p.ff][0]].push_back({p.ss[0], 0});
				}
			}
		}
	}

	vector<int> used(n), color(n);

	function<void(int, int)> dfs = [&](int v, int c) {
		used[v] = true;
		color[v] = c;
		for (pii to : graph[v]) {
			if (!used[to.ff]) {
				dfs(to.ff, c ^ to.ss);
			}
		}
	};

	for (int i = 0; i < n; ++i) {
		if (!used[i]) {
			dfs(i, 0);
		}
	}

	for (int i = 0; i < n; ++i) {
		for (pii to : graph[i]) {
			if (color[i] != (color[to.ff] ^ to.ss)) {
				cout << "No\n";
				return;
			}
		}
	}

	cout << "Yes\n";
	vector<int> ans;
	for (int i = 0; i < n; ++i) {
		if (color[i]) {
			ans.push_back(i);
		}
	}

	cout << szof(ans) << "\n";
	for (int ind : ans) {
		cout << ind + 1 << " ";
	}
	cout << "\n";
}


int main() {
	//freopen(TASK_NAME ".in", "r", stdin);
	//freopen(TASK_NAME ".out", "w", stdout);
	cerr << fixed << setprecision(15);
	cout << fixed << setprecision(15);
	ios::sync_with_stdio(false);

	int tests = 1;
	// cin >> tests;
	for (int it = 1; it <= tests; ++it) {
		solve();
	}
	
	#ifdef LOCAL
		cerr << "time: " << clock() << " ms\n";
	#endif
	return 0;
}