#include <bits/stdc++.h>
#include "testlib.h"
#define ff first
#define ss second
#define szof(_x) ((int) (_x).size())

using namespace std;
typedef long long ll;
typedef pair<int, int> pii;
const int INF = 1e9 + 7;
const ll INFL = 1e18 + 123;
const double PI = atan2(0, -1);

int main(int argc, char* argv[]) {
	registerGen(argc, argv, 1);

	assert(argc >= 2);
	int n = atoi(argv[1]);
	int maxc = 1000;

	while (true) {
		vector<pii> vectors;
		for (int i = 0; i < n - 1; ++i) {
			int dx = rnd.next(-10, 10);
			int dy = rnd.next(-10, 10);
			vectors.push_back({dx, dy});
		}

		vector<pii> poly1 = {{0, 0}}, poly2 = {{0, 0}};

		shuffle(vectors.begin(), vectors.end());

		for (pii v : vectors) {
			poly1.push_back({poly1.back().ff + v.ff, poly1.back().ss + v.ss});
		}

		shuffle(vectors.begin(), vectors.end());

		for (pii v : vectors) {
			poly2.push_back({poly2.back().ff + v.ff, poly2.back().ss + v.ss});
		}

		bool ok = true;
		for (pii p : poly1) {
			if (abs(p.ff) > maxc || abs(p.ss) > maxc) {
				ok = false;
				break;
			}
		}
		for (pii p : poly2) {
			if (abs(p.ff) > maxc || abs(p.ss) > maxc) {
				ok = false;
				break;
			}
		}

		if (!ok) {
			continue;
		}

		cout << szof(poly1) << "\n";
		for (pii p : poly1) {
			cout << p.ff << " " << p.ss << "\n";
		}
		cout << szof(poly2) << "\n";
		for (pii p : poly2) {
			cout << p.ff << " " << p.ss << "\n";
		}

		break;
	}

	return 0;
}