#ifdef LOCAL
#  define _GLIBCXX_DEBUG
#  define _GLIBCXX_DEBUG_PEDANTIC
#endif

#include "bits/stdc++.h"
#define ff first
#define ss second
#define szof(_x) ((int) (_x).size())
#define TASK_NAME ""

using namespace std;
typedef long long ll;
typedef pair<int, int> pii;
const int INF = 1e9 + 7;
const ll INFL = 1e18 + 123;
const double PI = atan2(0, -1);
mt19937 tw(960172);
ll rnd(ll x, ll y) { static uniform_int_distribution<ll> d; return d(tw) % (y - x + 1) + x; }


void solve() {
	int n;
	cin >> n;
	vector<pii> poly1, poly2;
	for (int i = 0; i < n; ++i) {
		int x, y;
		cin >> x >> y;
		poly1.push_back({x, y});
	}

	int m;
	cin >> m;
	for (int i = 0; i < m; ++i) {
		int x, y;
		cin >> x >> y;
		poly2.push_back({x, y});
	}

	vector<pii> vec1, vec2;

	for (int i = 0; i < n; ++i) {
		int next = (i + 1) % n;
		vec1.push_back({poly1[next].ff - poly1[i].ff, poly1[next].ss - poly1[i].ss});
		vec1.push_back({-vec1.back().ff, -vec1.back().ss});
	}

	for (int i = 0; i < m; ++i) {
		int next = (i + 1) % m;
		vec2.push_back({poly2[next].ff - poly2[i].ff, poly2[next].ss - poly2[i].ss});
		vec2.push_back({-vec2.back().ff, -vec2.back().ss});
	}

	sort(vec1.begin(), vec1.end());
	sort(vec2.begin(), vec2.end());

	if (vec1 != vec2) {
		cout << "No\n";
	} else {
		cout << "Yes\n";
	}
}


int main() {
	//freopen(TASK_NAME ".in", "r", stdin);
	//freopen(TASK_NAME ".out", "w", stdout);
	cerr << fixed << setprecision(15);
	cout << fixed << setprecision(15);
	ios::sync_with_stdio(false);

	int tests = 1;
	// cin >> tests;
	for (int it = 1; it <= tests; ++it) {
		solve();
	}
	
	#ifdef LOCAL
		cerr << "time: " << clock() << " ms\n";
	#endif
	return 0;
}