#include "testlib.h"
#include <iostream>
#include <stdio.h>
#include <cmath>
#include <vector>
#include <algorithm>
#include <set>
#include <map>
#include <queue>
#include <deque>
#include <stack>
#include <string>
#include <bitset>
#include <ctime>
#pragma comment(linker, "/STACK:256000000")
using namespace std;

#define in(s) freopen(s, "r", stdin)
#define out(s) freopen(s, "w", stdout)
#define forn(i, n) for (int i = 0; i < n; i++)
#define endl '\n'
#define mp make_pair

typedef long long ll;
typedef long double ld;

int main(int argc, char**argv)
{
	registerGen(argc, argv, 1);

	int n = atoi(argv[1]);

	println(n);
	
	set < pair<int, int> > have;

	vector < pair<int, int> > arr(n);

	for (int i = 0; i < n; i++)
	{
		int x, y;
		
		do
		{
		    x = rnd.next(0, 10);
		    y = rnd.next(0, 10);
		}
		while(have.count(mp(x, y)) == 1);
		
		have.insert(mp(x, y));
		arr[i] = mp(x, y);
	}

	shuffle(arr.begin(), arr.end());

	for (int i = 0; i < n; i++)
		println(arr[i].first, arr[i].second);

	return 0;
}