#include <bits/stdc++.h>
#include "testlib.h"
#define ff first
#define ss second
#define szof(_x) ((int) (_x).size())

using namespace std;
typedef long long ll;
typedef pair<int, int> pii;
const int INF = 1e9 + 7;
const ll INFL = 1e18 + 123;
const double PI = atan2(0, -1);

int main(int argc, char* argv[]) {
	registerGen(argc, argv, 1);

	assert(argc >= 2);
	int maxc = atoi(argv[1]);

	const double eps = 1e-8;

	map<int, vector<pii>> vars;
	for (int x = 1; x < maxc; ++x) {
		for (int y = 1; y < maxc; ++y) {
			vars[x * x + y * y].push_back({x, y});
		}
	}

	vector<int> ints;
	for (auto p : vars) {
		ints.push_back(p.ff);
	}

	cerr << "run" << endl;
	while (true) {
		int a = ints[rnd.next(0, szof(ints) - 1)];
		int b = ints[rnd.next(0, szof(ints) - 1)];
		int c = ints[rnd.next(0, szof(ints) - 1)];
		int d = ints[rnd.next(0, szof(ints) - 1)];
		if (a != c && a != d && b != c && b != d && fabs((sqrt(a) + sqrt(b)) - (sqrt(c) + sqrt(d))) < eps) {
			// cerr << a << " " << b << " " << c << " " << d << endl;
			pii cur1 = {0, 0}, cur2 = {0, 0};
			vector<pii> poly1, poly2;
			poly1.push_back(cur1);
			poly2.push_back(cur2);
			pii v11 = vars[a][rnd.next(0, szof(vars[a]) - 1)];
			pii v12 = vars[b][rnd.next(0, szof(vars[b]) - 1)];
			pii v21 = vars[c][rnd.next(0, szof(vars[c]) - 1)];
			pii v22 = vars[d][rnd.next(0, szof(vars[d]) - 1)];
			cur1.ff += v11.ff; cur1.ss += v11.ss;
			poly1.push_back(cur1);
			cur1.ff += v12.ff; cur1.ss -= v12.ss;
			poly1.push_back(cur1);
			cur1.ff -= v11.ff; cur1.ss -= v11.ss;
			poly1.push_back(cur1);
			
			cur2.ff += v21.ff; cur2.ss += v21.ss;
			poly2.push_back(cur2);
			cur2.ff += v22.ff; cur2.ss -= v22.ss;
			poly2.push_back(cur2);
			cur2.ff -= v21.ff; cur2.ss -= v21.ss;
			poly2.push_back(cur2);

			cout << 4 << "\n";
			for (pii p : poly1) {
				cout << p.ff << " " << p.ss << "\n";
			}
			cout << 4 << "\n";
			for (pii p : poly2) {
				cout << p.ff << " " << p.ss << "\n";
			}
			break;
		}
	}

	return 0;
}